Name:       libsignal-protocol-c
Version:    2.3.3
Release:    1%{?dist}

License:    GPLv3
Summary:    Signal Protocol C library
URL:        https://github.com/signalapp/libsignal-protocol-c
Source0:    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:     0001-CVE-2022-48468-unsigned-integer-overflow.patch

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: openssl-devel

Provides: bundled(protobuf-c) = 1.1.1


%description
This is a ratcheting forward secrecy protocol that works in synchronous
and asynchronous messaging environments.


%package devel
Summary:    Development files for libsignal-protocol-c

Requires:   %{name} = %{version}-%{release}


%description devel
Development files for libsignal-protocol-c.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%cmake -DCMAKE_BUILD_TYPE=Debug .
%cmake_build


%install
%cmake_install


%check
ctest -V %{?_smp_mflags}


%files
%license LICENSE
%doc README.md
%{_libdir}/libsignal-protocol-c.so.2*


%files devel
%{_includedir}/signal
%{_libdir}/libsignal-protocol-c.so
%{_libdir}/pkgconfig/libsignal-protocol-c.pc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.3-1
- initial build
